New C7 Kernel ABI And Kmods

Home » CentOS » New C7 Kernel ABI And Kmods
CentOS 4 Comments

All,

This is just a heads-up that the new C7 update kernel breaks ABI
compatibility, at least as far as using the ELrepo nVidia drivers is concerned. I have posted more details to the ELrepo list; but since many folks use the Elrepo kmods I thought a heads-up would be appropriate.

If you use the ELrepo nvidia kmod you will either need to hold off on the kernel update or uninstall the nvidia kmod.

4 thoughts on - New C7 Kernel ABI And Kmods

  • The kmod-nvidia packages (legacy packages too) against the latest EL7.3 kernel (3.10.0-514.10.2.el7) have been released to the main repository and are syncing to the mirrors.

    kmod-nvidia-304xx-304.135-2.el7.elrepo.x86_64.rpm kmod-nvidia-340xx-340.102-2.el7.elrepo.x86_64.rpm kmod-nvidia-375.39-2.el7.elrepo.x86_64.rpm

    These packages will not be compatible with earlier kernel releases.

    Akemi

  • It’s not uncommon for bits (non kABI whitelisted bits) of the kernel ABI
    to change at point releases, but in my experience it’s very uncommon for the ABI to change within a point release series. To the best of my knowledge I recall it happening twice before on the EL6 kernel, once such example was here:

    http://elrepo.org/bugs/view.php?id@6

    Of course any kABI changes will only affect 3rd party kernel modules using those specific ABIs so the vast majority of users will be oblivious to the changes. It just so happens in this case it affected the 3rd party nvidia drivers which are widely used.

LEAVE A COMMENT